Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157530 - rpc.svcgssd segfaults when it receives a large token
Summary: rpc.svcgssd segfaults when it receives a large token
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nfs-utils
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-12 12:16 UTC by Michael Young
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-22 02:19:44 UTC


Attachments (Terms of Use)
Patch to increase a buffer size and avoid the problem (deleted)
2005-05-12 12:18 UTC, Michael Young
no flags Details | Diff

Description Michael Young 2005-05-12 12:16:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050509 Fedora/1.0.3-5 Firefox/1.0.3

Description of problem:
I am testing nfsv4 with sec=krb5 where the kerberos server is Active Directory. It seems that the AP-REQ ticket is too big for rpc.svcgssd process (1196 bytes I think) which reports the errors
May 10 12:57:14 xxx rpc.svcgssd[1919]: WARNING: gss_accept_sec_context failed
May 10 12:57:14 xxx rpc.svcgssd[1919]: ERROR: GSS-API: error in handle_nullreq: gss_accept_sec_context(): A token was invalid - Token header is malformed or corrupt
then crashes. If I increase the size of the token buffer (see the patch I will attach) then nfsv4 starts working, but rpc.svcgssd shouldn't crash if it gets tokens it doesn't like.

Version-Release number of selected component (if applicable):
nfs-utils-1.0.7-6

How reproducible:
Always

Steps to Reproduce:
1. Send a big AP-REQ token to rpc.svcgssd

Additional info:

Comment 1 Michael Young 2005-05-12 12:18:43 UTC
Created attachment 114288 [details]
Patch to increase a buffer size and avoid the problem

Comment 2 Steve Dickson 2005-05-19 12:42:37 UTC
thanks for the patch!

The should be fixed in nfs-utils-1.0.7-7 

Comment 3 Bill Nottingham 2006-09-22 02:19:44 UTC
Closing bugs in MODIFIED state from prior Fedora releases. If this bug persists
in a current Fedora release (such as Fedora Core 5 or later), please reopen and
set the version appropriately.


Note You need to log in before you can comment on or make changes to this bug.